PartDesign Feature/ru

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page PartDesign Feature and the translation is 81% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎русский

Введение

PartDesign Feature относится к «шагу» в процессе моделирования, происходившему внутри PartDesign Body. Например, каждый раз, когда вы добавляете сплошную коробку с помощью PartDesign AdditiveBox, вы добавляете элемент; когда вы добавляете фаску к кромке с помощью PartDesign Chamfer, вы добавляете еще один элемент; когда вы вырезаете отверстие с помощью sketch и PartDesign Pocket, вы добавляете ещё один элемент.

PartDesign Feature example.png

Редактирование элементов в PartDesign Body с тремя последовательными элементами.

Есть много типов элементов, которые могут добавить или удалить объем исходного твердого тела. Слово «элемент» относится к самой операции, а также к твёрдому телу, полученному после этой операции.

Чтобы узнать больше о создании твердых объектов с помощью PartDesign Workbench, смотрите редактирование элементов.

Применение

Почти все инструменты в верстаке PartDesign предназначены для добавления элементов в PartDesign Body. Доступ к этим инструментам можно получить из меню и кнопок панели инструментов, когда выбран объект или подэлемент (вершина, кромка, грань).

Элементы могут быть вставлены в различные категории:

Наследование

FreeCAD core objects.svg

Упрощенная диаграмма взаимосвязей между основными объектами в программе. Объекты PartDesign::Feature используются для построения параметрических трёхмерных тел и, таким образом, являются производными от базового объекта Part::Feature.

Scripting

См. так же: Основы скриптов FreeCAD, и скриптовые объекты.

Смотрите элементы Part ждя получения общей информации о добавлении объектов из консоли Python.

Смотрите PartDesign Body для получения общей информации о добавлении тела. Когда тело существует, к нему можно прикрепить элементы с помощью метода Body addObject().

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject('PartDesign::Body', 'Body')
obj.Label = "Custom label"

feature = App.ActiveDocument.addObject('PartDesign::AdditiveBox', 'Box')
feature.Width = 200
feature.Length = 300
feature.Height = 500
obj.addObject(feature)
App.ActiveDocument.recompute()

feature2 = App.ActiveDocument.addObject('PartDesign::SubtractiveBox', 'Box')
feature2.Width = 50
feature2.Length = 200
feature2.Height = 400
obj.addObject(feature2)
App.ActiveDocument.recompute()